Subject: [SWIPL] Problems building prolog on AIX-4.3.3

From: [email-masked]
Date: Tue, 22 Jan 2002 20:20:24 +0900 (JST)

Hello,

  I was going to build SWI-prolog 4.1.0 on AIX-4.3.3. I failed in it,
and I had a problem. 

extract of log build log:
----------------------------------------------------------------------------
bash-2.05$ ./configure --disable-readline --disable-mapped-stacks
./configure[986]: restricted: true is a shell builtin
checking builddir... src
checking for gcc... gcc
checking for C compiler default output... a.out
			:
checking build system type... powerpc-ibm-aix4.3.3.0
checking host system type... powerpc-ibm-aix4.3.3.0
			:
			:
bash-2.05$ make
****************
Making SWI-Prolog 4.1.0 for powerpc-aix4.3.3.0
			:
			:
gcc -Wl,-bE:../include/SWI-Exports -o pl pl-atom.o pl-wam.o pl-stream.o pl-erro...
./pl -O -o pl.prc -b ../boot/init.pl
Loading boot file ...
Loading Prolog startup files
Boot compilation has created pl.prc
./pl -x pl.prc \
                -f none -F none \
                -g make_library_index\(\'../library\'\) \
                -t halt
[PROLOG SYSTEM ERROR:
        trapUndefined(): undefined: system:$find_library/5
			:
----------------------------------------------------------------------------

other informations:
----------------------------------------------------------------------------
bash-2.05$ ls -l pl.prc
-rw-r--r--   1 kotemaru users      18498 Jan 22 15:37 pl.prc
bash-2.05$ ls -l pl
-rwxr-xr-x   1 kotemaru users    1139959 Jan 22 15:37 pl
bash-2.05$ gcc -v
Reading specs from /usr/bin/../lib/gcc-lib/powerpc-ibm-aix4.3.3.0/2.9-aix43-
010414/specsgcc version 2.9-aix43-010414
----------------------------------------------------------------------------

  I feel pl.prc unfinished. However, "./pl -b" does not output error message.

  Please advise it to me.

--
[email-masked] [Fujio Inou]